Package org.json.simple.parser

# Class JSONParser

java.lang.Object
org.json.simple.parser.JSONParser

@Deprecated public class JSONParser extends Object
Deprecated.
since 2.0.0, copied to a new package `Jsoner`.
Parser for JSON text. Please note that JSONParser is NOT thread-safe.

Author:
  FangYidong<fangyidong@yahoo.com.cn>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`S_END`
Deprecated.
description omitted.
`static final int`
`S_IN_ARRAY`
Deprecated.
description omitted.
`static final int`
`S_IN_ERROR`
Deprecated.
description omitted.
`static final int`
`S_IN_FINISHED_VALUE`
Deprecated.
description omitted.
`static final int`
`S_IN_OBJECT`
Deprecated.
description omitted.
`static final int`
`S_IN_PAIR_VALUE`
Deprecated.
description omitted.
`static final int`
`S_INIT`
Deprecated.
description omitted.
`static final int`
`S_PASSED_PAIR_KEY`
Deprecated.
description omitted.

## Constructor Summary

Constructors
Constructor
Description
`JSONParser()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`int`
`getPosition()`
Deprecated.
`Object`
`parse(Reader in)`
Deprecated.
description omitted.
`Object`
`parse(Reader in, ContainerFactory containerFactory)`
Deprecated.
Parse JSON text into java object from the input source.
`void`
`parse(Reader in, ContentHandler contentHandler)`
Deprecated.
description omitted.
`void`
`parse(Reader in, ContentHandler contentHandler, boolean isResume)`
Deprecated.
Stream processing of JSON text.
`Object`
`parse(String s)`
Deprecated.
description omitted.
`Object`
`parse(String s, ContainerFactory containerFactory)`
Deprecated.
description omitted.
`void`
`parse(String s, ContentHandler contentHandler)`
Deprecated.
description omitted.
`void`
`parse(String s, ContentHandler contentHandler, boolean isResume)`
Deprecated.
description omitted.
`void`
`reset()`
Deprecated.
Reset the parser to the initial state without resetting the underlying reader.
`void`
`reset(Reader in)`
Deprecated.
Reset the parser to the initial state with a new character reader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### S_INIT

public static final int S_INIT
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### S_IN_FINISHED_VALUE

public static final int S_IN_FINISHED_VALUE
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### S_IN_OBJECT

public static final int S_IN_OBJECT
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### S_IN_ARRAY

public static final int S_IN_ARRAY
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### S_PASSED_PAIR_KEY

public static final int S_PASSED_PAIR_KEY
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### S_IN_PAIR_VALUE

public static final int S_IN_PAIR_VALUE
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### S_END

public static final int S_END
Deprecated.
description omitted.

See Also:
  - Constant Field Values

### S_IN_ERROR

public static final int S_IN_ERROR
Deprecated.
description omitted.

See Also:
  - Constant Field Values

## Constructor Details

### JSONParser

public JSONParser()
Deprecated.

## Method Details

### reset

public void reset()
Deprecated.
Reset the parser to the initial state without resetting the underlying reader.

### reset

public void reset(Reader in)
Deprecated.
Reset the parser to the initial state with a new character reader.

Parameters:
  `in` - - The new character reader.

### getPosition

public int getPosition()
Deprecated.

Returns:
  The position of the beginning of the current token.

### parse

public Object parse(String s) throws ParseException
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.
Returns:
  description omitted.
Throws:
  `ParseException` - description omitted.

### parse

public Object parse(String s, ContainerFactory containerFactory) throws ParseException
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.
  `containerFactory` - description omitted.
Returns:
  description omitted.
Throws:
  `ParseException` - description omitted.

### parse

public Object parse(Reader in) throws IOException, ParseException
Deprecated.
description omitted.

Parameters:
  `in` - description omitted.
Returns:
  description omitted.
Throws:
  `IOException` - description omitted.
  `ParseException` - description omitted.

### parse

public Object parse(Reader in, ContainerFactory containerFactory) throws IOException, ParseException
Deprecated.
Parse JSON text into java object from the input source.

Parameters:
  `in` - description omitted.
  `containerFactory` - - Use this factory to createyour own JSON object and JSON array containers.
Returns:
  Instance of the following: org.json.simple.JSONObject, org.json.simple.JSONArray, java.lang.String, java.lang.Number, java.lang.Boolean, null
Throws:
  `IOException` - description omitted.
  `ParseException` - description omitted.

### parse

public void parse(String s, ContentHandler contentHandler) throws ParseException
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.
  `contentHandler` - description omitted.
Throws:
  `ParseException` - description omitted.

### parse

public void parse(String s, ContentHandler contentHandler, boolean isResume) throws ParseException
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.
  `contentHandler` - description omitted.
  `isResume` - description omitted.
Throws:
  `ParseException` - description omitted.

### parse

public void parse(Reader in, ContentHandler contentHandler) throws IOException, ParseException
Deprecated.
description omitted.

Parameters:
  `in` - description omitted.
  `contentHandler` - description omitted.
Throws:
  `IOException` - description omitted.
  `ParseException` - description omitted.

### parse

public void parse(Reader in, ContentHandler contentHandler, boolean isResume) throws IOException, ParseException
Deprecated.
Stream processing of JSON text.

Parameters:
  `in` - description omitted.
  `contentHandler` - description omitted.
  `isResume` - - Indicates if it continues previous parsing operation. If set to true, resume parsing the old stream, and parameter 'in' will be ignored. If this method is called for the first time in this instance, isResume will be ignored.
Throws:
  `IOException` - description omitted.
  `ParseException` - description omitted.
See Also:
  - `ContentHandler`